Pregunta sobre Social Slider Widget de Wordpress:

este plugin apesta, cambia el tiempo de ejecución máximo del valor php

Un usuario preguntó 👇

Este plugin apesta, ¿por qué cambia el valor de la variable php «max_execution_time»?

¿Dónde aprendiste un programa?

Afecta el funcionamiento del resto de los plugins, la configuración del alojamiento y la presión general de palabras.

este plugin debería estar prohibido

if (! ini_get (‘max_execution_time’) || ini_get (‘max_execution_time’) <300) {

ini_set (‘max_execution_time’, 300);

$ desactivado = desactivar (‘,’, ini_get (‘desactivar_funciones’)); if (! in_array (‘set_time_limit’, $ desactivado)) {set_time_limit (300); }}

(@jetonr)

Hace 3 años, 3 meses

¿Tiene su propio plugin que le gustaría promover? El plugin es gratuito y obviamente no tira. max_execution_time no es un delito.

integer max_execution_time Esto establece el tiempo máximo en segundos que su script puede ejecutarse antes de que el analizador lo termine. Esto ayuda a evitar que los scripts mal escritos se conecten al servidor. La configuración predeterminada es 30. Cuando se ejecuta PHP desde la línea de comandos, la configuración predeterminada es 0.

Las llamadas al sistema, las operaciones de transmisión, etc. no lo hacen. Afecta el tiempo máximo de ejecución. Vea la función set_time_limit () para más detalles.

No puede cambiar esta configuración con ini_set () mientras se ejecuta en modo seguro. La única forma de trabajar es desactivar el modo seguro o cambiar el tiempo de espera en php.ini.

Su servidor web puede tener otras configuraciones de tiempo que también pueden interferir con la ejecución de PHP. Apache tiene una directiva Timeout e IIS tiene una función CGI timeout. Ambos preajustes a 300 segundos. Consulte la documentación de su servidor web para obtener detalles específicos.

(@fabrisancho)

Hace 3 años, 3 meses

Cambiar el valor de la configuración de php es un delito, ya que ese valor no debe asociarse con un plugin. No solo compromete la seguridad de la página, sino que también afecta a otros plugins, ese cambio de valor siempre se ejecuta, en el administrador, en la web, en el modo cli, ni siquiera se puso la decencia en el gancho opcional.

este plugin apesta y lo peor es que sois malos programadores, acepta el error cuando te lo dicen y resuelve que sería normal,

no solo no lo resuelves, también lo justificas

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *